aboutsummaryrefslogtreecommitdiffstats
path: root/extra/irssi
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-03-27 23:35:53 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2009-03-27 23:35:53 +0000
commit85c5186d00e279a7ad4ad3d4a98a4b900d3a34e2 (patch)
tree9e908e0dd81178e587fcae4349d32a43aa4f206f /extra/irssi
parente325a574ef52806adfd20c753df5861dc7441239 (diff)
downloadaports-85c5186d00e279a7ad4ad3d4a98a4b900d3a34e2.tar.gz
aports-85c5186d00e279a7ad4ad3d4a98a4b900d3a34e2.tar.bz2
aports-85c5186d00e279a7ad4ad3d4a98a4b900d3a34e2.tar.xz
extra/irssi: version bump 0.8.13-rc1
Diffstat (limited to 'extra/irssi')
-rw-r--r--extra/irssi/APKBUILD32
1 files changed, 21 insertions, 11 deletions
diff --git a/extra/irssi/APKBUILD b/extra/irssi/APKBUILD
index eb12e945f7..c0dcc72ddb 100644
--- a/extra/irssi/APKBUILD
+++ b/extra/irssi/APKBUILD
@@ -1,24 +1,34 @@
# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
pkgname=irssi
-pkgver=0.8.12
+pkgver=0.8.13_rc1
+_pkgver=0.8.13-rc1
pkgrel=0
pkgdesc="A modular textUI IRC client with IPv6 support"
url="http://irssi.org/"
license='GPL'
depends="glib ncurses openssl"
-makedepends="glib-dev openssl-dev ncurses-dev"
-source="http://irssi.org/files/irssi-0.8.12.tar.bz2"
-subpackages="$pkgname-doc"
+makedepends="glib-dev openssl-dev ncurses-dev perl-dev pkgconfig"
+source="http://irssi.org/files/irssi-${_pkgver}.tar.bz2"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-perl"
build() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$srcdir/$pkgname-${_pkgver}"
./configure --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --with-perl=no
- make || return 1
- make DESTDIR="$pkgdir/" install
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --with-perl=module
+ make || return 1
+ make DESTDIR="$pkgdir" install
}
-md5sums="e407b557b3cfc7c91ce4de2571dd79cb irssi-0.8.12.tar.bz2"
+perl() {
+ depends="$pkgname perl"
+ mkdir -p "$subpkgdir"/usr/share/irssi
+ mv "$pkgdir"/usr/share/irssi/scripts "$subpkgdir"/usr/share/irssi/
+ mkdir -p "$subpkgdir"/usr/lib/irssi
+ mv "$pkgdir"/usr/lib/irssi/modules "$subpkgdir"/usr/lib/irssi/
+ mv "$pkgdir"/usr/lib/perl5 "$subpkgdir"/usr/lib/
+}
+
+md5sums="b7543c08d6709b148a1907e2a3fb6f10 irssi-0.8.13-rc1.tar.bz2"